module DataMem( ReadData, Addr, WriteData, MemRead, MemWrite, clk);

input [31:0] Addr, WriteData;
input MemRead, MemWrite, clk;

output [31:0] ReadData;
reg [31:0] ReadData;

reg [31:0] Data [0:1024];

always @ (posedge clk or Addr)
begin
	if (MemRead == 1)
		ReadData = Data[Addr>>2];
	else if(MemWrite == 1)
		Data[Addr] = WriteData;
end

initial
begin
	Data[0] = 32'h00000033;
	Data[1] = 32'h00000033;
end

endmodule
