module alu( AluResult, Zero, A, B, Op);

input [31:0] A,B;
input [2:0] Op;
output Zero;
output [31:0] AluResult;

assign AluResult = (Op == 3'b000) ? (A & B) :
									(Op == 3'b001) ? (A | B) :
									(Op == 3'b010) ? (A + B) :
									(Op == 3'b110) ? (A - B) :
									(Op == 3'b111) ? ( (A < B) ? {32{1'b1}} : {32{1'b0}} ) : {32{1'bx}} ;
assign Zero = ~| AluResult;

endmodule